## kernelshark 2.0.2

=== CMakeLists.txt ===
# Check if cmake has the required version
cmake_minimum_required(VERSION 3.1.2 FATAL_ERROR)

# Set the name and version of the project
project(kernel-shark)

set(KS_APP_NAME "kernelshark")
set(KS_VERSION_MAJOR 2)
set(KS_VERSION_MINOR 0)
set(KS_VERSION_PATCH 2)
set(KS_VERSION_STRING ${KS_VERSION_MAJOR}.${KS_VERSION_MINOR}.${KS_VERSION_PATCH})
message("\n project: Kernel Shark: (version: ${KS_VERSION_STRING})\n")

set(KS_DIR ${CMAKE_SOURCE_DIR})

execute_process(COMMAND bash "-c" "echo __LP64__ | ${CMAKE_C_COMPILER} -E -x c - | tail -n 1"
                OUTPUT_VARIABLE __LP64__)

if (NOT _INSTALL_PREFIX AND NOT _LIBDIR)

    set(_INSTALL_PREFIX "/usr/local")

    if (__LP64__ MATCHES 1)
        set(_LIBDIR "/usr/local/lib64")
    else (__LP64__ MATCHES 1)
        set(_LIBDIR "/usr/local/lib")
    endif (__LP64__ MATCHES 1)

elseif (NOT _INSTALL_PREFIX)

    set(_INSTALL_PREFIX "/usr/local")

elseif (NOT _LIBDIR)

   set(_LIBDIR "${_INSTALL_PREFIX}/lib")

endif ()

if (NOT _POLKIT_INSTALL_PREFIX)

    set(_POLKIT_INSTALL_PREFIX "/usr")

endif ()

set(CMAKE_MODULE_PATH "${KS_DIR}/build")
find_package(TraceEvent REQUIRED)
find_package(TraceFS    REQUIRED)
find_package(TraceCmd   REQUIRED)

find_package(JSONC      REQUIRED)

find_package(Doxygen)

set(OpenGL_GL_PREFERENCE LEGACY)
find_package(OpenGL)
find_package(GLUT)

set(KS_FONT FreeSans)
if (NOT TT_FONT_FILE)
    execute_process(COMMAND  bash "-c" "fc-list '${KS_FONT}' |grep ${KS_FONT}.ttf | cut -d':' -f 1 -z"
                    OUTPUT_VARIABLE TT_FONT_FILE)
endif (NOT TT_FONT_FILE)

if (TT_FONT_FILE)

  message(STATUS "Found font: ${TT_FONT_FILE}")

else (TT_FONT_FILE)

  message(WARNING "\nCould not find font ${KS_FONT}!\n")

endif (TT_FONT_FILE)

find_package(Qt5Widgets 5.7.1)
find_package(Qt5Network)
if (Qt5Widgets_FOUND)

    message(STATUS "Found Qt5Widgets:  (version ${Qt5Widgets_VERSION})")

    if(Qt5Widgets_VERSION VERSION_LESS "5.11")

        set(QT_VERSION_LESS_5_11 TRUE)

    endif()

    if(Qt5Widgets_VERSION VERSION_LESS "5.15")

        set(QT_VERSION_LESS_5_15 TRUE)

    endif()

endif (Qt5Widgets_FOUND)

find_package (Boost COMPONENTS unit_test_framework)

set(LIBRARY_OUTPUT_PATH    "${KS_DIR}/lib")
set(EXECUTABLE_OUTPUT_PATH "${KS_DIR}/bin")

set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wall -pthread -fPIC -fno-common")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pthread -fPIC -fno-common")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif (NOT CMAKE_BUILD_TYPE)

message("\n Build type: ${CMAKE_BUILD_TYPE}")

if (NOT CMAKE_C_FLAGS_PACKAGE)
    set(CMAKE_C_FLAGS_PACKAGE "-O3")
endif (NOT CMAKE_C_FLAGS_PACKAGE)

if (NOT CMAKE_CXX_FLAGS_PACKAGE)
    set(CMAKE_CXX_FLAGS_PACKAGE "-O3")
endif (NOT CMAKE_CXX_FLAGS_PACKAGE)

set(KS_PLUGIN_INSTALL_PREFIX ${_LIBDIR}/${KS_APP_NAME}/plugins)

set(KS_ICON        KS_icon_shark.svg)
set(KS_ICON_FIN    KS_icon_fin.svg)
set(KS_LOGO        KS_logo_symbol.svg)
set(KS_LOGO_LABEL  KS_logo_horizontal.svg)

set(CMAKE_INSTALL_RPATH "${_LIBDIR}" "$ORIGIN")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

if (CMAKE_BUILD_TYPE MATCHES Package)

    set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)

else (CMAKE_BUILD_TYPE MATCHES Package)

    set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

endif (CMAKE_BUILD_TYPE MATCHES Package)

include_directories(${KS_DIR}/src/
                    ${KS_DIR}/build/src/)

message("")
message(STATUS "C flags      : " ${CMAKE_C_FLAGS})
message(STATUS "CXX flags    : " ${CMAKE_CXX_FLAGS})
message(STATUS "Linker flags : " ${CMAKE_EXE_LINKER_FLAGS})

add_subdirectory(${KS_DIR}/src)
add_subdirectory(${KS_DIR}/examples)

if (Boost_FOUND)

    set(KS_TEST_DIR                      "${KS_DIR}/tests")
    enable_testing()
    add_subdirectory(${KS_TEST_DIR})

endif()

if (_DOXYGEN_DOC AND DOXYGEN_FOUND)

    message("\n doxygen documentation ...")
    add_custom_target(doc ALL)
    add_custom_command(TARGET doc
                       COMMAND doxygen dox_config > dox_build.log
                       WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/Documentation/doxygen)

    set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES
                             "${KS_DIR}/Documentation/doxygen/dox_build.log"
                             "${KS_DIR}/Documentation/doxygen/html"
                             "${KS_DIR}/Documentation/doxygen/latex")

endif ()

configure_file(${KS_DIR}/build/deff.h.cmake
               ${KS_DIR}/src/KsCmakeDef.hpp)

configure_file(${KS_DIR}/build/ks.desktop.cmake
               ${KS_DIR}/${KS_APP_NAME}.desktop)

configure_file(${KS_DIR}/build/org.freedesktop.kshark-record.policy.cmake
               ${KS_DIR}/org.freedesktop.kshark-record.policy)

configure_file(${KS_DIR}/build/libkshark.pc.cmake
               ${KS_DIR}/libkshark.pc @ONLY)

message("")

=== src/CMakeLists.txt ===
message("\n src ...")

set(KS_INCLUDS_DESTINATION "${_INSTALL_PREFIX}/include/${KS_APP_NAME}")

message(STATUS "libkshark")
add_library(kshark SHARED libkshark.c
                          libkshark-hash.c
                          libkshark-model.c
                          libkshark-plugin.c
                          libkshark-tepdata.c
                          libkshark-configio.c
                          libkshark-collection.c)

target_link_libraries(kshark trace::cmd
                             trace::fs
                             trace::event
                             jsonc::jsonc
                             ${CMAKE_DL_LIBS})

set_target_properties(kshark  PROPERTIES
                                  SOVERSION ${KS_VERSION_MAJOR}
                                  VERSION   ${KS_VERSION_STRING})

install(TARGETS kshark
        LIBRARY DESTINATION    ${_LIBDIR}
            COMPONENT              kernelshark
            NAMELINK_COMPONENT     libkshark-devel
        INCLUDES DESTINATION   ${_INSTALL_PREFIX}/include/${KS_APP_NAME}
            COMPONENT              libkshark-devel
        ARCHIVE DESTINATION    ${_LIBDIR}
            COMPONENT              libkshark-devel)

install(FILES "${KS_DIR}/src/libkshark.h"
              "${KS_DIR}/src/libkshark-model.h"
              "${KS_DIR}/src/libkshark-plugin.h"
              "${KS_DIR}/src/libkshark-tepdata.h"
        DESTINATION ${KS_INCLUDS_DESTINATION}
            COMPONENT libkshark-devel)

if (NOT PKG_CONGIG_DIR)
    execute_process(COMMAND  bash "-c" "pkg-config --variable pc_path pkg-config | cut -f 1 -d: -z"
                    OUTPUT_VARIABLE PKG_CONGIG_DIR)
endif (NOT PKG_CONGIG_DIR)

install(FILES "${KS_DIR}/libkshark.pc"
        DESTINATION ${PKG_CONGIG_DIR}
            COMPONENT                 libkshark-devel)

if (OPENGL_FOUND)

    message(STATUS "libkshark-plot")
    add_library(kshark-plot  SHARED  libkshark-plot.c
                                     KsPlotTools.cpp
                                     KsPlugins.cpp)

    target_link_libraries(kshark-plot  kshark
                                       ${GLUT_LIBRARY}
                                       ${OPENGL_LIBRARIES})

    set_target_properties(kshark-plot PROPERTIES  SUFFIX ".so.${KS_VERSION_STRING}")
    install(TARGETS kshark-plot
            LIBRARY DESTINATION    ${_LIBDIR}
                COMPONENT              kernelshark)

endif (OPENGL_FOUND)

if (Qt5Widgets_FOUND AND Qt5Network_FOUND AND TT_FONT_FILE)

    message(STATUS "libkshark-gui")
    set (ks-guiLib_hdr  KsUtils.hpp
                        KsModels.hpp
                        KsGLWidget.hpp
                        KsSearchFSM.hpp
                        KsDualMarker.hpp
                        KsWidgetsLib.hpp
                        KsTraceGraph.hpp
                        KsTraceViewer.hpp
                        KsMainWindow.hpp
                        KsCaptureDialog.hpp
                        KsQuickContextMenu.hpp
                        KsAdvFilteringDialog.hpp)

    QT5_WRAP_CPP(ks-guiLib_hdr_moc ${ks-guiLib_hdr})

    add_library(kshark-gui  SHARED  ${ks-guiLib_hdr_moc}    KsUtils.cpp
                                                            KsModels.cpp
                                                            KsSession.cpp
                                                            KsGLWidget.cpp
                                                            KsSearchFSM.cpp
                                                            KsDualMarker.cpp
                                                            KsWidgetsLib.cpp
                                                            KsTraceGraph.cpp
                                                            KsTraceViewer.cpp
                                                            KsMainWindow.cpp
                                                            KsCaptureDialog.cpp
                                                            KsQuickContextMenu.cpp
                                                            KsAdvFilteringDialog.cpp)

    target_link_libraries(kshark-gui kshark-plot
                                     Qt5::Widgets
                                     Qt5::Network)


    set_target_properties(kshark-gui PROPERTIES  SUFFIX ".so.${KS_VERSION_STRING}")

    message(STATUS ${KS_APP_NAME})
    add_executable(${KS_APP_NAME}          kernelshark.cpp)
    target_link_libraries(${KS_APP_NAME}   kshark-gui)

    message(STATUS "kshark-record")
    add_executable(kshark-record        kshark-record.cpp)
    target_link_libraries(kshark-record kshark-gui)

    install(TARGETS ${KS_APP_NAME} kshark-record kshark-gui
            RUNTIME DESTINATION       ${_INSTALL_PREFIX}/bin/
                COMPONENT                 kernelshark
            LIBRARY DESTINATION       ${_LIBDIR}
                COMPONENT                 kernelshark)

    install(FILES "${KS_DIR}/${KS_APP_NAME}.desktop"
            DESTINATION ${_INSTALL_PREFIX}/share/applications/
                COMPONENT                 kernelshark)

    install(FILES "${KS_DIR}/icons/${KS_ICON}"
                  "${KS_DIR}/icons/${KS_ICON_FIN}"
            DESTINATION ${_INSTALL_PREFIX}/share/icons/${KS_APP_NAME}
                COMPONENT                 kernelshark)

    install(FILES "${KS_DIR}/org.freedesktop.kshark-record.policy"
            DESTINATION ${_POLKIT_INSTALL_PREFIX}/share/polkit-1/actions/
                COMPONENT                 polkit-policy)

    install(PROGRAMS "${KS_DIR}/bin/kshark-su-record"
            DESTINATION ${_INSTALL_PREFIX}/bin/
                COMPONENT                 kernelshark)

    add_subdirectory(plugins)
    set(PLUGINS ${PLUGINS} PARENT_SCOPE)

    find_program(DO_AS_ROOT pkexec)

endif (Qt5Widgets_FOUND AND Qt5Network_FOUND AND TT_FONT_FILE)

=== src/plugins/CMakeLists.txt ===
message("\n src/plugins ...")

function(BUILD_PLUGIN)
    set(options )
    set(oneValueArgs NAME)
    set(multiValueArgs SOURCE)
    cmake_parse_arguments(ADD_PLUGIN "${options}"
                                     ${oneValueArgs}
                                     ${multiValueArgs}
                                     ${ARGN})

    message(STATUS ${ADD_PLUGIN_NAME})

    add_library(${ADD_PLUGIN_NAME} SHARED ${ADD_PLUGIN_SOURCE})
    set_target_properties(${ADD_PLUGIN_NAME} PROPERTIES PREFIX "plugin-")
    target_link_libraries(${ADD_PLUGIN_NAME} kshark)

endfunction()

function(BUILD_GUI_PLUGIN)
    set(options)
    set(oneValueArgs NAME MOC)
    set(multiValueArgs SOURCE)
    cmake_parse_arguments(ADD_PLUGIN "${options}"
                                     "${oneValueArgs}"
                                     "${multiValueArgs}"
                                     ${ARGN})

    message(STATUS ${ADD_PLUGIN_NAME})

    QT5_WRAP_CPP(plugin_moc ${ADD_PLUGIN_MOC})

    add_library(${ADD_PLUGIN_NAME} SHARED ${plugin_moc} ${ADD_PLUGIN_SOURCE})
    set_target_properties(${ADD_PLUGIN_NAME} PROPERTIES PREFIX "plugin-")
    target_link_libraries(${ADD_PLUGIN_NAME} kshark kshark-gui)

endfunction()

set(PLUGIN_LIST "")

if (Qt5Widgets_FOUND AND TT_FONT_FILE)

    BUILD_GUI_PLUGIN(NAME sched_events
                     SOURCE sched_events.c SchedEvents.cpp)
    list(APPEND PLUGIN_LIST "sched_events")

    BUILD_GUI_PLUGIN(NAME event_field_plot
                     MOC EventFieldDialog.hpp
                     SOURCE event_field_plot.c EventFieldDialog.cpp EventFieldPlot.cpp)
    list(APPEND PLUGIN_LIST "event_field_plot")

    BUILD_GUI_PLUGIN(NAME latency_plot
                     MOC LatencyPlotDialog.hpp
                     SOURCE latency_plot.c LatencyPlot.cpp LatencyPlotDialog.cpp)
    list(APPEND PLUGIN_LIST "latency_plot")

    BUILD_GUI_PLUGIN(NAME kvm_combo
                     MOC KVMComboDialog.hpp
                     SOURCE kvm_combo.c KVMCombo.cpp KVMComboDialog.cpp)
    list(APPEND PLUGIN_LIST "kvm_combo")

endif (Qt5Widgets_FOUND AND TT_FONT_FILE)

BUILD_PLUGIN(NAME missed_events
             SOURCE missed_events.c MissedEvents.cpp)
list(APPEND PLUGIN_LIST "missed_events")

install(TARGETS ${PLUGIN_LIST}
        LIBRARY DESTINATION ${KS_PLUGIN_INSTALL_PREFIX}
        COMPONENT kernelshark)

set(PLUGINS ${PLUGIN_LIST} PARENT_SCOPE)

=== debian/changelog ===
kernelshark (2.0.2-2) unstable; urgency=medium

  * Fix multiarch paths. (Closes: #1001512)
    - Thanks Helmut Grohne for the patch.
  * Update Standards-Version to 4.6.0.1
  * Add autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 29 Dec 2021 15:44:07 +0000

kernelshark (2.0.2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 2.0.2
    - Refresh patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Nov 2021 20:39:44 +0000

kernelshark (2.0-1) experimental; urgency=medium

  * Initial release (Closes: #986347)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 19 Jun 2021 00:13:01 +0100

=== debian/control ===
Source: kernelshark
Section: devel
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libtracecmd-dev (>= 2.9.3),
 libtracefs-dev (>= 1.2.0),
 libtraceevent-dev (>= 1:1.3.0),
 cmake,
 libjson-c-dev,
 freeglut3-dev,
 libxmu-dev,
 libxi-dev,
 qtbase5-dev,
 graphviz,
 doxygen-gui,
 pkg-config,
 fonts-freefont-ttf,
 trace-cmd (>= 2.9.3),
 policykit-1
Standards-Version: 4.6.0.1
Homepage: https://kernelshark.org/
Vcs-Browser: https://salsa.debian.org/sudip/kernelshark
Vcs-Git: https://salsa.debian.org/sudip/kernelshark.git

Package: kernelshark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         trace-cmd (>= 2.9.3), fonts-freefont-ttf
Description: Utility for retrieving and analyzing function tracing in the kernel
 This package contains the trace-cmd utility. Trace-cmd makes it easy to
 retrieve and analyze function traces from the Linux kernel while it is running.

Package: libkshark2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for accessing ftrace file system (shared library)
 Library for accessing ftrace file system and provides API for processing of
 tracing data.
 .
 This package contains the shared library.

Package: libkshark-dev
Section: libdevel
Architecture: any
Depends: libkshark2 (= ${binary:Version}), ${misc:Depends}
Description: Library for accessing ftrace file system (development files)
 Library for accessing ftrace file system and provides API for processing of
 tracing data.
 .
 This package is needed to compile programs against libkshark2.

## kernelshark 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 set(KS_APP_NAME "kernelshark")
 set(KS_VERSION_MAJOR 2)
-set(KS_VERSION_MINOR 0)
-set(KS_VERSION_PATCH 2)
+set(KS_VERSION_MINOR 1)
+set(KS_VERSION_PATCH 1)
 set(KS_VERSION_STRING ${KS_VERSION_MAJOR}.${KS_VERSION_MINOR}.${KS_VERSION_PATCH})
 message("\n project: Kernel Shark: (version: ${KS_VERSION_STRING})\n")
 
@@ -42,6 +42,8 @@
 
 endif ()
 
+set(LIBTRACECMD_MIN_VERSION 1.0)
+
 set(CMAKE_MODULE_PATH "${KS_DIR}/build")
 find_package(TraceEvent REQUIRED)
 find_package(TraceFS    REQUIRED)
@@ -57,7 +59,7 @@
 
 set(KS_FONT FreeSans)
 if (NOT TT_FONT_FILE)
-    execute_process(COMMAND  bash "-c" "fc-list '${KS_FONT}' |grep ${KS_FONT}.ttf | cut -d':' -f 1 -z"
+    execute_process(COMMAND  bash "-c" "fc-list '${KS_FONT}' |grep -E ${KS_FONT}'(\.otf|\.ttf)' | cut -d':' -f 1 -z"
                     OUTPUT_VARIABLE TT_FONT_FILE)
 endif (NOT TT_FONT_FILE)

=== src/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -69,4 +69,8 @@
         LIBRARY DESTINATION ${KS_PLUGIN_INSTALL_PREFIX}
         COMPONENT kernelshark)
 
+install(FILES "${KS_DIR}/src/plugins/common_sched.h"
+        DESTINATION "${KS_INCLUDS_DESTINATION}/plugins"
+            COMPONENT libkshark-devel)
+
 set(PLUGINS ${PLUGIN_LIST} PARENT_SCOPE)

=== debian/changelog ===
kernelshark (2.1.1-2) unstable; urgency=medium

  * Add depends on pkexec. (Closes: #1025577)
  * Update Standards-Version to 4.6.1.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 11 Dec 2022 17:01:33 +0000

kernelshark (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
    - Update copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 26 Apr 2022 12:49:41 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
  pkg-config,
  fonts-freefont-ttf,
  trace-cmd (>= 2.9.3),
- policykit-1
-Standards-Version: 4.6.0.1
+ pkexec
+Standards-Version: 4.6.1.0
 Homepage: https://kernelshark.org/
 Vcs-Browser: https://salsa.debian.org/sudip/kernelshark
 Vcs-Git: https://salsa.debian.org/sudip/kernelshark.git
@@ -27,7 +27,8 @@
 Package: kernelshark
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         trace-cmd (>= 2.9.3), fonts-freefont-ttf
+         trace-cmd (>= 2.9.3), fonts-freefont-ttf,
+         pkexec
 Description: Utility for retrieving and analyzing function tracing in the kernel
  This package contains the trace-cmd utility. Trace-cmd makes it easy to
  retrieve and analyze function traces from the Linux kernel while it is running.

## kernelshark 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 set(KS_APP_NAME "kernelshark")
 set(KS_VERSION_MAJOR 2)
-set(KS_VERSION_MINOR 1)
-set(KS_VERSION_PATCH 1)
+set(KS_VERSION_MINOR 2)
+set(KS_VERSION_PATCH 0)
 set(KS_VERSION_STRING ${KS_VERSION_MAJOR}.${KS_VERSION_MINOR}.${KS_VERSION_PATCH})
 message("\n project: Kernel Shark: (version: ${KS_VERSION_STRING})\n")
 
@@ -69,7 +69,7 @@
 
 else (TT_FONT_FILE)
 
-  message(WARNING "\nCould not find font ${KS_FONT}!\n")
+  message(WARNING "\nCould not find font ${KS_FONT}! Kernelshark GUI requires font ${KS_FONT}!\n")
 
 endif (TT_FONT_FILE)

=== debian/changelog ===
kernelshark (2.2.0-1ubuntu0.23.04.1) lunar; urgency=medium

  * Add upstream patch to fix segfault. (LP: #2042720)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 17 Nov 2023 22:34:52 +0000

kernelshark (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 05 Feb 2023 00:47:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kernelshark
 Section: devel
 Priority: optional
-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  libtracecmd-dev (>= 2.9.3),
@@ -19,7 +20,7 @@
  fonts-freefont-ttf,
  trace-cmd (>= 2.9.3),
  pkexec
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://kernelshark.org/
 Vcs-Browser: https://salsa.debian.org/sudip/kernelshark
 Vcs-Git: https://salsa.debian.org/sudip/kernelshark.git

## kernelshark 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(KS_APP_NAME "kernelshark")
 set(KS_VERSION_MAJOR 2)
 set(KS_VERSION_MINOR 2)
-set(KS_VERSION_PATCH 0)
+set(KS_VERSION_PATCH 1)
 set(KS_VERSION_STRING ${KS_VERSION_MAJOR}.${KS_VERSION_MINOR}.${KS_VERSION_PATCH})
 message("\n project: Kernel Shark: (version: ${KS_VERSION_STRING})\n")

=== examples/CMakeLists.txt ===
message("\n examples ...")

message(STATUS "dataload")
add_executable(dload          dataload.c)
target_link_libraries(dload   kshark)

message(STATUS "datafilter")
add_executable(dfilter          datafilter.c)
target_link_libraries(dfilter   kshark)

message(STATUS "multibufferload")
add_executable(mbload          multibufferload.c)
target_link_libraries(mbload   kshark)

message(STATUS "datahisto")
add_executable(dhisto          datahisto.c)
target_link_libraries(dhisto   kshark)

message(STATUS "confogio")
add_executable(confio          configio.c)
target_link_libraries(confio   kshark)

if (OPENGL_FOUND AND GLUT_FOUND)

    message(STATUS "dataplot")
    add_executable(dplot          dataplot.cpp)
    target_link_libraries(dplot   kshark-plot)

endif (OPENGL_FOUND AND GLUT_FOUND)

if (Qt5Widgets_FOUND AND TT_FONT_FILE)

    message(STATUS "widgetdemo")
    add_executable(widgetdemo          widgetdemo.cpp)
    target_link_libraries(widgetdemo   kshark-gui)

    message(STATUS "cmd_split")
    add_executable(cmd_split           cmd_split.cpp)
    target_link_libraries(cmd_split    kshark-gui)

endif (Qt5Widgets_FOUND AND TT_FONT_FILE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,11 @@
         DESTINATION ${PKG_CONGIG_DIR}
             COMPONENT                 libkshark-devel)
 
+install(CODE "message(\"-- Executing: ldconfig ${_LIBDIR}\")
+              execute_process(COMMAND bash \"-c\" \"ldconfig ${_INSTALL_PREFIX}\"
+                              ECHO_ERROR_VARIABLE)"
+        COMPONENT libkshark-devel)
+
 if (OPENGL_FOUND)
 
     message(STATUS "libkshark-plot")
@@ -54,13 +59,21 @@
                                      KsPlugins.cpp)
 
     target_link_libraries(kshark-plot  kshark
-                                       ${GLUT_LIBRARY}
-                                       ${OPENGL_LIBRARIES})
+                                       GLUT::GLUT
+                                       OpenGL::GLU)
 
     set_target_properties(kshark-plot PROPERTIES  SUFFIX ".so.${KS_VERSION_STRING}")
     install(TARGETS kshark-plot
             LIBRARY DESTINATION    ${_LIBDIR}
                 COMPONENT              kernelshark)
+
+    install(FILES "${KS_DIR}/src/stb_truetype.h"
+                  "${KS_DIR}/src/libkshark-plot.h"
+                  "${KS_DIR}/src/KsPlotTools.hpp"
+                  "${KS_DIR}/src/KsPlugins.hpp"
+                  "${KS_DIR}/src/KsCmakeDef.hpp"
+            DESTINATION ${KS_INCLUDS_DESTINATION}
+                COMPONENT libkshark-devel)
 
 endif (OPENGL_FOUND)
 
@@ -92,6 +105,7 @@
                                                             KsTraceGraph.cpp
                                                             KsTraceViewer.cpp
                                                             KsMainWindow.cpp
+                                                            KsPluginsGUI.cpp
                                                             KsCaptureDialog.cpp
                                                             KsQuickContextMenu.cpp
                                                             KsAdvFilteringDialog.cpp)
@@ -134,6 +148,10 @@
             DESTINATION ${_INSTALL_PREFIX}/bin/
                 COMPONENT                 kernelshark)
 
+    install(FILES "${KS_DIR}/src/KsPluginsGUI.hpp"
+            DESTINATION ${KS_INCLUDS_DESTINATION}
+                COMPONENT libkshark-devel)
+
     add_subdirectory(plugins)
     set(PLUGINS ${PLUGINS} PARENT_SCOPE)

=== tests/CMakeLists.txt ===
message("\n tests ...")

set(EXECUTABLE_OUTPUT_PATH           ${KS_TEST_DIR})
set(LIBRARY_OUTPUT_PATH              ${KS_TEST_DIR})

add_executable(kshark-tests          libkshark-tests.cpp)
target_include_directories(kshark-tests PRIVATE ${Boost_INCLUDE_DIRS})
target_compile_definitions(kshark-tests PRIVATE "BOOST_TEST_DYN_LINK=1")
target_link_libraries(kshark-tests   kshark
                                     ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})

add_test(NAME              "get_test_data"
         COMMAND           ${KS_TEST_DIR}/get_test_data.sh
         WORKING_DIRECTORY ${KS_TEST_DIR})

add_library(dummy_dpi             SHARED  test-plugin_dpi.c)
set_target_properties(dummy_dpi   PROPERTIES PREFIX "plugin-")
target_link_libraries(dummy_dpi   kshark)

add_library(dummy_dpi_ctrl             SHARED  test-plugin_dpi_ctrl.c)
set_target_properties(dummy_dpi_ctrl   PROPERTIES PREFIX "plugin-")
target_link_libraries(dummy_dpi_ctrl   kshark)

add_library(dummy_dpi_err             SHARED  test-plugin_dpi_err.c)
set_target_properties(dummy_dpi_err   PROPERTIES PREFIX "plugin-")
target_link_libraries(dummy_dpi_err   kshark)

add_library(dummy_input             SHARED  test-input.c)
set_target_properties(dummy_input   PROPERTIES PREFIX "input-")
target_link_libraries(dummy_input   kshark)

add_library(dummy_input_ctrl             SHARED  test-input_ctrl.c)
set_target_properties(dummy_input_ctrl   PROPERTIES PREFIX "input-")
target_link_libraries(dummy_input_ctrl   kshark)

message(STATUS "libkshark-tests")
add_test(NAME              "libkshark_tests"
         COMMAND           ${KS_TEST_DIR}/kshark-tests --log_format=HRF
         WORKING_DIRECTORY ${KS_TEST_DIR})

if (Qt5Widgets_FOUND AND TT_FONT_FILE)

    add_executable(kshark-gui-tests          libkshark-gui-tests.cpp)
    target_include_directories(kshark-gui-tests PRIVATE ${Boost_INCLUDE_DIRS})
    target_compile_definitions(kshark-gui-tests PRIVATE "BOOST_TEST_DYN_LINK=1")
    target_link_libraries(kshark-gui-tests   kshark-gui
                          ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})

    message(STATUS "libkshark-gui_tests")
    add_test(NAME              "libkshark-gui_tests"
             COMMAND           ${KS_TEST_DIR}/kshark-gui-tests --log_format=HRF
             WORKING_DIRECTORY ${KS_TEST_DIR})

endif (Qt5Widgets_FOUND AND TT_FONT_FILE)

=== src/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -61,8 +61,8 @@
 
 endif (Qt5Widgets_FOUND AND TT_FONT_FILE)
 
-BUILD_PLUGIN(NAME missed_events
-             SOURCE missed_events.c MissedEvents.cpp)
+BUILD_GUI_PLUGIN(NAME missed_events
+		 SOURCE missed_events.c MissedEvents.cpp)
 list(APPEND PLUGIN_LIST "missed_events")
 
 install(TARGETS ${PLUGIN_LIST}

=== debian/changelog ===
kernelshark (2.2.1-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:27:32 +0000

kernelshark (2.2.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:35:05 +0000

kernelshark (2.2.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:55:25 +0000

kernelshark (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1 (Closes: #1049866)
    - Update links for version update.
  * Fix package description. (Closes: #1028585)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 16 Aug 2023 21:00:24 +0100

kernelshark (2.2.0-2) unstable; urgency=medium

  * Fix symlink names. (Closes: #1035449)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 05 May 2023 20:37:24 +0100

=== debian/control ===
--- 
+++ 
@@ -30,9 +30,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
          trace-cmd (>= 2.9.3), fonts-freefont-ttf,
          pkexec
-Description: Utility for retrieving and analyzing function tracing in the kernel
- This package contains the trace-cmd utility. Trace-cmd makes it easy to
- retrieve and analyze function traces from the Linux kernel while it is running.
+Description: Utilities for graphically analyzing function tracing in the kernel
+ KernelShark is a front end reader of trace-cmd output. It reads a trace-cmd.dat
+ formatted file and produces a graph and list view of the data.
 
 Package: libkshark2
 Section: libs

=== debian/tests/control ===
Tests: test-gui
Depends: @, xvfb, xauth, xdotool
Restrictions: superficial

## kernelshark 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(KS_APP_NAME "kernelshark")
 set(KS_VERSION_MAJOR 2)
-set(KS_VERSION_MINOR 2)
+set(KS_VERSION_MINOR 3)
 set(KS_VERSION_PATCH 1)
 set(KS_VERSION_STRING ${KS_VERSION_MAJOR}.${KS_VERSION_MINOR}.${KS_VERSION_PATCH})
 message("\n project: Kernel Shark: (version: ${KS_VERSION_STRING})\n")
@@ -73,33 +73,16 @@
 
 endif (TT_FONT_FILE)
 
-find_package(Qt5Widgets 5.7.1)
-find_package(Qt5Network)
-if (Qt5Widgets_FOUND)
-
-    message(STATUS "Found Qt5Widgets:  (version ${Qt5Widgets_VERSION})")
-
-    if(Qt5Widgets_VERSION VERSION_LESS "5.11")
-
-        set(QT_VERSION_LESS_5_11 TRUE)
-
-    endif()
-
-    if(Qt5Widgets_VERSION VERSION_LESS "5.15")
-
-        set(QT_VERSION_LESS_5_15 TRUE)
-
-    endif()
-
-endif (Qt5Widgets_FOUND)
+find_package(Qt6Widgets 6.3.0)
+find_package(Qt6 COMPONENTS Network OpenGLWidgets StateMachine REQUIRED)
 
 find_package (Boost COMPONENTS unit_test_framework)
 
 set(LIBRARY_OUTPUT_PATH    "${KS_DIR}/lib")
 set(EXECUTABLE_OUTPUT_PATH "${KS_DIR}/bin")
 
-set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wall -pthread -fPIC -fno-common")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pthread -fPIC -fno-common")
+set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wall -Wextra -pthread -fPIC -fno-common")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pthread -fPIC -fno-common")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
kernelshark (2.3.1-2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with gcc-14. (Closes: #1075112)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 05 Jul 2024 18:59:13 +0100

kernelshark (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * Update dependencies

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 06 May 2024 22:19:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kernelshark
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  libtracecmd-dev (>= 2.9.3),
@@ -13,10 +12,11 @@
  freeglut3-dev,
  libxmu-dev,
  libxi-dev,
- qtbase5-dev,
+ qt6-base-dev,
+ qt6-scxml-dev,
  graphviz,
  doxygen-gui,
- pkg-config,
+ pkgconf,
  fonts-freefont-ttf,
  trace-cmd (>= 2.9.3),
  pkexec

## kernelshark 2.3.2

=== debian/changelog ===
kernelshark (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2
    - Remove upstream applied patch.
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 05 Jan 2025 21:13:02 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  fonts-freefont-ttf,
  trace-cmd (>= 2.9.3),
  pkexec
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://kernelshark.org/
 Vcs-Browser: https://salsa.debian.org/sudip/kernelshark
 Vcs-Git: https://salsa.debian.org/sudip/kernelshark.git

## kernelshark 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 set(KS_APP_NAME "kernelshark")
 set(KS_VERSION_MAJOR 2)
-set(KS_VERSION_MINOR 3)
-set(KS_VERSION_PATCH 1)
+set(KS_VERSION_MINOR 4)
+set(KS_VERSION_PATCH 0)
 set(KS_VERSION_STRING ${KS_VERSION_MAJOR}.${KS_VERSION_MINOR}.${KS_VERSION_PATCH})
 message("\n project: Kernel Shark: (version: ${KS_VERSION_STRING})\n")
 
@@ -83,6 +83,12 @@
 
 set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wall -Wextra -pthread -fPIC -fno-common")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pthread -fPIC -fno-common")
+
+find_package(OpenMP 3.2.5)
+if (OPENMP_FOUND)
+    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   ${OpenMP_C_FLAGS}")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
+endif(OPENMP_FOUND)
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== Documentation/Makefile ===

obj := $(kshark-dir)/Documentation
src := $(kshark-dir)/Documentation

ifeq ($(VERBOSE),1)
  Q =
  print_asciidoc =
  print_xsltproc =
  print_install =
  hide_xsltproc_output =
else
  Q = @
  print_asciidoc =		echo '      ASCIIDOC            '`basename $@`;
  print_xsltproc =		echo '      XSLTPROC            '`basename $@`;
  print_install =		echo '      INSTALL             '`basename $1`'	to	$(DESTDIR_SQ)'$2;
  hide_xsltproc_output = 2> /dev/null
endif

define manpage.xsl
	if [ -z ${MANPAGE_DOCBOOK_XSL} ]; then 			\
		echo "*********************************";	\
		echo "** No docbook.xsl is installed **";	\
		echo "** Can't make man pages        **";	\
		echo "*********************************";	\
		exit 1;						\
	fi
endef

do_asciidoc_build =				\
	($(print_asciidoc)			\
	 asciidoc -d manpage -b docbook -o $@ $<)

do_xsltproc_build =				\
	($(print_xsltproc)			\
	 xsltproc --nonet -o $@ ${MANPAGE_DOCBOOK_XSL} $< $(hide_xsltproc_output))

#
# asciidoc requires a synopsis, but file format man pages (5) do
# not require them. This removes it from the file in the final step.
define remove_synopsis
	(sed -e '/^\.SH "SYNOPSIS"/,/ignore/d' $1 > $1.tmp;\
	 mv $1.tmp $1)
endef

#
# Most likely a docbook.xsl is already installed on the users system
# instead of creating a new wheel, lets reuse what's already there.
#
FIND_MANPAGE_DOCBOOK_XSL :=  $(shell find /usr -name docbook.xsl 2>/dev/null | grep manpages | head -1)

MANPAGE_DOCBOOK_XSL ?= ${FIND_MANPAGE_DOCBOOK_XSL}

$(obj)/%.xsl: $(src)/%.txt
	$(Q)mkdir -p $(obj)
	$(Q)$(do_asciidoc_build)


$(obj)/%.1: $(obj)/%.1.xsl
	@$(call manpage.xsl)
	$(Q)$(do_xsltproc_build)

TEXT1 = $(wildcard *.1.txt)
MAN1 = $(patsubst %.1.txt,$(obj)/%.1, ${TEXT1})

all: $(MAN1)

# Need to find out how to export a macro instead of
# copying this from the main Makefile.
define do_install_data
	$(print_install)				\
	if [ ! -d '$(DESTDIR_SQ)$2' ]; then		\
		$(INSTALL) -d -m 755 '$(DESTDIR_SQ)$2';	\
	fi;						\
	$(INSTALL) -m 644 $1 '$(DESTDIR_SQ)$2'
endef


MAN1_INSTALL = $(MAN1:%.1=%.1.install)

$(MAN1_INSTALL): %.1.install : %.1 force
	$(Q)$(call do_install_data,$<,$(man_dir_SQ)/man1)

html_dir = $(src)/HTML
image_dir = $(html_dir)/images

HTML = $(wildcard $(html_dir)/*.html)
IMGS = $(wildcard $(image_dir)/*.png)

HTML_INSTALL = $(subst .html,.html.install,$(HTML))
IMGS_INSTALL = $(subst .png,.png.install,$(IMGS))

$(HTML_INSTALL): %.html.install : %.html force
	$(Q)$(call do_install_data,$<,'$(html_install_SQ)')

$(IMGS_INSTALL): %.png.install : %.png force
	$(Q)$(call do_install_data,$<,'$(img_install_SQ)')


GUI_INSTALL = $(HTML_INSTALL) $(IMGS_INSTALL)

install: $(MAN1_INSTALL) $(GUI_INSTALL)

clean:
	(cd $(obj); \
	 $(RM) *.xml *.xsl *.1)

.PHONE: force
force:

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 endif (OPENGL_FOUND AND GLUT_FOUND)
 
-if (Qt5Widgets_FOUND AND TT_FONT_FILE)
+if (Qt6Widgets_FOUND AND TT_FONT_FILE)
 
     message(STATUS "widgetdemo")
     add_executable(widgetdemo          widgetdemo.cpp)
@@ -38,4 +38,4 @@
     add_executable(cmd_split           cmd_split.cpp)
     target_link_libraries(cmd_split    kshark-gui)
 
-endif (Qt5Widgets_FOUND AND TT_FONT_FILE)
+endif ()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -77,7 +77,7 @@
 
 endif (OPENGL_FOUND)
 
-if (Qt5Widgets_FOUND AND Qt5Network_FOUND AND TT_FONT_FILE)
+if (Qt6Widgets_FOUND AND TT_FONT_FILE)
 
     message(STATUS "libkshark-gui")
     set (ks-guiLib_hdr  KsUtils.hpp
@@ -93,7 +93,7 @@
                         KsQuickContextMenu.hpp
                         KsAdvFilteringDialog.hpp)
 
-    QT5_WRAP_CPP(ks-guiLib_hdr_moc ${ks-guiLib_hdr})
+    QT6_WRAP_CPP(ks-guiLib_hdr_moc ${ks-guiLib_hdr})
 
     add_library(kshark-gui  SHARED  ${ks-guiLib_hdr_moc}    KsUtils.cpp
                                                             KsModels.cpp
@@ -111,8 +111,10 @@
                                                             KsAdvFilteringDialog.cpp)
 
     target_link_libraries(kshark-gui kshark-plot
-                                     Qt5::Widgets
-                                     Qt5::Network)
+                                     Qt6::Widgets
+                                     Qt6::Network
+                                     Qt6::OpenGLWidgets
+                                     Qt6::StateMachine)
 
 
     set_target_properties(kshark-gui PROPERTIES  SUFFIX ".so.${KS_VERSION_STRING}")
@@ -157,4 +159,4 @@
 
     find_program(DO_AS_ROOT pkexec)
 
-endif (Qt5Widgets_FOUND AND Qt5Network_FOUND AND TT_FONT_FILE)
+endif ()

=== debian/changelog ===
kernelshark (2.4.0-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Add upstream fix for FTBFS with CMake 4. (Closes: #1113073)

  [ Sudip Mukherjee ]
  * Fix broken symlinks to old libraries. (Closes: #1110874)
    - Thanks Andrey Skvortsov.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 29 Oct 2025 18:13:36 +0000

kernelshark (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Update Standards-Version to 4.7.2
  * Allow stderr in autopkgtests.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 04 Apr 2025 23:46:28 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  fonts-freefont-ttf,
  trace-cmd (>= 2.9.3),
  pkexec
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://kernelshark.org/
 Vcs-Browser: https://salsa.debian.org/sudip/kernelshark
 Vcs-Git: https://salsa.debian.org/sudip/kernelshark.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_DESTDIR ?= $(CURDIR)/debian/tmp/

OPTS=DESTDIR=$(DEB_DESTDIR) VERBOSE=$(if $(filter terse,$(DEB_BUILD_OPTIONS)),0,1)

%:
	dh $@ --builddirectory=builddir

override_dh_auto_configure:
	mkdir -p $(CURDIR)/builddir
	cp $(CURDIR)/build/* $(CURDIR)/builddir/.
	dh_auto_configure -- -D_INSTALL_PREFIX=/usr -D_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
          -DPKG_CONGIG_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

override_dh_auto_build:
	dh_auto_build -- $(OPTS)

override_dh_auto_install:
	$(MAKE) -C $(CURDIR)/builddir install $(OPTS)

override_dh_gencontrol:
	dh_gencontrol -p kernelshark -- -v2.9.3+really$(DEB_VERSION)
	dh_gencontrol --remaining-packages

=== debian/tests/control ===
Tests: test-gui
Depends: @, xvfb, xauth, xdotool
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
https://git.kernel.org/pub/scm/utils/trace-cmd/kernel-shark.git /pub/scm/utils/trace-cmd/kernel-shark.git/snapshot/kernel-shark-kernelshark-v?(\d\S+)\.tar\.gz
